<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Promo Code History</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-3">
                  <mat-select name="promo_type" [(ngModel)]="promo_type" class="form-control" placeholder="Promo Type">
                    <mat-option value='0'> All customers </mat-option>
                    <mat-option value='2'> Customer specific </mat-option>
                  </mat-select>
                </div>
                <div class="col-sm-3" *ngIf="promo_type==1">
                  <div class="form-group">
                    <mat-select class="form-control" class="form-control" placeholder="Customer Group tag"
                      name="customer_group_tag" [(ngModel)]="customer_group_tag" required multiple>
                      <mat-option *ngFor="let group of customerGroups" [value]="group._id">
                        {{ group.name }}</mat-option>
                    </mat-select>
                  </div>
                </div>

                <div class="col-sm-3">
                  <input matInput placeholder="Customer Phone number" [(ngModel)]="user_name" class="form-control"
                    name="user_id" [formControl]="user_phone" aria-label="Customer" [matAutocomplete]="Customerphone">
                  <mat-autocomplete #Customerphone="matAutocomplete" [displayWith]="displayFnCustomerPhone">
                    <mat-option *ngFor="let customer of customerData" [value]="customer">
                      {{ customer.phone_number }}
                    </mat-option>
                    <mat-option *ngIf="customerData!.length == 0">No Matches
                      Found</mat-option>
                  </mat-autocomplete>
                </div>


                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="selectedMoment" name="start_date" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Start Date" value="{{selectedMoment | date:'yyyy-MM-dd'}}"
                    class="form-control" [max]="max" (click)="clearEndTime()">
                  <owl-date-time #dtPicker1 (click)="clearEndTime"></owl-date-time>
                  <br />
                </div>
                <div class="col-sm-3 col-md-3">
                  <input [(ngModel)]="selectedMoment1" name="end_date" [owlDateTimeTrigger]="dtPicker2"
                    [owlDateTime]="dtPicker2" [min]="selectedMoment" [max]="max" placeholder="End Date"
                    class="form-control">
                  <owl-date-time #dtPicker2></owl-date-time>
                  <br />
                </div>
              </div>
              <div class="row">
                <div class="col-sm-6">
                  <mat-chip-list #chipList1>
                    <mat-chip *ngFor="let promo of promo_chips" selectable removable (removed)="removePChip(promo)"
                      style="font-size:10px;">
                      {{promo.promo_name}}
                      <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <input matInput placeholder="Promo code" class="form-control" [formControl]="promo_code"
                      aria-label="Vehicle" [matChipInputFor]="chipList1" [matAutocomplete]="promo2"
                      (ngModelChange)="pChipselected($event)" matInput>
                  </mat-chip-list>
                  <mat-autocomplete #promo2="matAutocomplete" [displayWith]="displayFnPromo">
                    <mat-option *ngFor="let promo of promo_list" [value]="promo">
                      {{ promo.promo_name }}
                    </mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-5" style="padding-top:10px">
                  <button type="get" (click)="getPromoHistory()" class="btn btn-sm btn-primary blue"> <i aria-hidden="true"
                      class="fa fa-search"></i>
                    Search</button>
                  <button class="btn btn-sm btn-primary green" (click)="reset()"><i aria-hidden="true" class="fa fa-refresh"></i>
                    Refresh</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser"></i> Reset
                    filters</button>
                </div>
              </div>
            </div>
            <div class="payment-cal-outer ibox-content" style="background-color: #DDDDDD">

              <div class="payment-cal-table table-responsive">
                <div style="float:right;border-left:1px dotted #fff;padding:0 20px;">
                  <table aria-describedby="Manage Company" class="sum_table">
                    <tbody>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Amount without promocode&nbsp;</th>
                        <td class="text-right">
                          {{promoDetails.total_with_promo+promoDetails.total_discount}} AED
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Amount with promocode</th>
                        <td class="text-right">
                          {{promoDetails.total_with_promo}} AED
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Discounted Amount</th>
                        <td class="text-right">
                          {{promoDetails.total_discount}} AED
                        </td>
                      </tr>

                      <tr>
                        <th scope="col" class="sum_table_headers">Discount percentage</th>
                        <td class="text-right">
                          {{promoDetails.total_with_promo !==0 && promoDetails.total_discount !==0? getPercentage(promoDetails.total_with_promo,promoDetails.total_discount)+'%':'NA'}}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <div style="float:right;border-left:1px dotted #fff;padding:0 20px;">
                  <table aria-describedby="Manage Company" class="sum_table">
                    <tbody>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total trips</th>
                        <td class="text-right">
                          {{promoDetails.total_trips}}</td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total users</th>
                        <td class="text-right">
                          {{promoDetails.total_users}}
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total Usage Alloted&nbsp;</th>
                        <td class="text-right">
                          <span *ngIf="unlimited; else promo">&infin;</span>
                          <ng-template #promo>{{promoDetails.total_usage_alloted}} AED</ng-template>
                        </td>
                      </tr>
                      <tr>
                        <th scope="col" class="sum_table_headers">Total utilisation</th>
                        <td class="text-right">
                          {{promoDetails.total_utilisation}} AED
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="row">
                <span *ngIf="searchSubmit">
                  <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                </span>
                <div *ngFor="let promo of promoCodeData;let i = index">
                  <div class="col-sm-6">
                    <div class="promo-box">
                      <h3>{{promo.promo_name}} <small>({{promo.promo_code}})<span style="float:right;cursor: pointer" matTooltip="RefNo/Budget">{{promo.promo_ref}}</span></small></h3>
                      <small><span style="cursor: pointer" matTooltipPosition="left"
                        matTooltip="Valid from">{{promo.valid_from_date}}</span><span
                        style="float:right;cursor: pointer" matTooltipPosition="left"
                        matTooltip="Valid to">{{promo.valid_to_date}}</span></small>
                      <div style="clear: both"></div>
                      <td>
                        <div class="progress text-center" *ngIf="promo.total_usage_allovance>0; else infinity">
                          <div class="progress-bar progress-bar-striped active" role="progressbar"
                            [attr.aria-valuenow]="(promo.a008_amt.$numberDecimal/promo.total_usage_allovance)*100"
                            aria-valuemin="0" aria-valuemax="100"
                            [style.width]="(promo.a008_amt.$numberDecimal/promo.total_usage_allovance)*100 + '%'"
                            matTooltip="Usage percentage">
                            <small>{{(promo.a008_amt.$numberDecimal/promo.total_usage_allovance)*100 | number: '1.0-2'}}%</small>
                            <span *ngIf="((promo.total_cost.$numberDecimal/promo.total_usage_allovance)*100)>80"
                              style="float: right" matTooltip="Total usage"><small>{{promo.a008_amt.$numberDecimal}}
                                AED</small>
                              &nbsp;</span>
                          </div>
                          <span *ngIf="((promo.total_cost.$numberDecimal/promo.total_usage_allovance)*100)<=80"
                            matTooltip="Total usage">&nbsp;<small><strong>{{promo.a008_amt.$numberDecimal}}</strong>
                              AED</small></span>

                        </div>
                        <ng-template #infinity>
                          <div class="progress text-center">
                            <div class="progress-bar progress-bar-striped active" role="progressbar"
                              [attr.aria-valuenow]="0" aria-valuemin="0" aria-valuemax="100" [style.width]="0 +'%'">
                              <small>&infin;</small>
                              <span></span>
                            </div>
                            <span matTooltip="Total usage">&nbsp;<small><strong>{{promo.a008_amt.$numberDecimal}}</strong>
                                AED</small></span>
                          </div>
                        </ng-template>
                      </td>
                      <td style="white-space: nowrap;width: 1%;cursor: pointer" matTooltip="Usage allowance">
                        <span *ngIf="promo.total_usage_allovance<0; else other"><small><strong>&infin;</strong></small></span>
                        <ng-template #other><small><strong>{{promo.total_usage_allovance}}</strong> AED</small></ng-template>
                      </td>
                      <div style="clear: both"></div>
                      <strong>{{promo.total_unique_users}}&nbsp;</strong>Unique users&nbsp; <strong>{{promo.no_of_trips}}</strong> Trips
                    </div>
                  </div>
                </div>
              </div>

              <div class="container-fluid" *ngIf="promoLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <ngb-pagination [collectionSize]="promoLength" (pageChange)="pagingAgent($event)" [page]="pNo"
                      [pageSize]="itemsPerPage" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                    </ngb-pagination>

                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="promoLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-12 text-center form-group">
                      No records found
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>